OpenTTD Source: GenWorldInfo Struct Reference

OpenTTD Source 15.0-RC2

Static Public Attributes
GenWorldInfo Struct Reference

Properties of current genworld process. More...

## Static Public Attributes
static bool | abort
| Whether to abort the thread ASAP.
static GenWorldMode | mode
| What mode are we making a world in.
static CompanyID | lc
| The local_company before generating.
static uint | size_x
| X-size of the map.
static uint | size_y
| Y-size of the map.
static GWDoneProc * | proc
| Proc that is called when done (can be nullptr)
static GWAbortProc * | abortp
| Proc that is called when aborting (can be nullptr)

## Detailed Description

Properties of current genworld process.

Definition at line 63 of file genworld.cpp.

## Field Documentation

## ◆ abort

bool GenWorldInfo::abort
| inlinestatic

Whether to abort the thread ASAP.

Definition at line 64 of file genworld.cpp.

Referenced by AbortGeneratingWorld(), GenerateWorld(), and IsGeneratingWorldAborted().

## ◆ abortp

GWAbortProc* GenWorldInfo::abortp
| inlinestatic

Proc that is called when aborting (can be nullptr)

Definition at line 70 of file genworld.cpp.

Referenced by CleanupGeneration(), GenerateWorld(), GenerateWorldSetAbortCallback(), and HandleGeneratingWorldAbortion().

## ◆ lc

CompanyID GenWorldInfo::lc
| inlinestatic

The local_company before generating.

Definition at line 66 of file genworld.cpp.

Referenced by _GenerateWorld(), and GenerateWorld().

## ◆ mode

GenWorldMode GenWorldInfo::mode
| inlinestatic

What mode are we making a world in.

Definition at line 65 of file genworld.cpp.

Referenced by _GenerateWorld(), and GenerateWorld().

## ◆ proc

GWDoneProc* GenWorldInfo::proc
| inlinestatic

Proc that is called when done (can be nullptr)

Definition at line 69 of file genworld.cpp.

Referenced by _GenerateWorld(), CleanupGeneration(), and GenerateWorldSetCallback().

## ◆ size_x

uint GenWorldInfo::size_x
| inlinestatic

X-size of the map.

Definition at line 67 of file genworld.cpp.

Referenced by GenerateWorld().

## ◆ size_y

uint GenWorldInfo::size_y
| inlinestatic

Y-size of the map.

Definition at line 68 of file genworld.cpp.

Referenced by GenerateWorld().

The documentation for this struct was generated from the following file:

- src/genworld.cpp